Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.el
Interface FunctionMapper

public interface FunctionMapper

The interface to a map between EL function names and methods.

Classes implementing this interface may, for instance, consult tag library information to resolve the map.

Since:
  2.0

Method Summary
`java.lang.reflect.Method` | `resolveFunction(java.lang.String prefix, java.lang.String localName)` Resolves the specified local name and prefix into a Java.lang.Method.

Method Detail

### resolveFunction

    public java.lang.reflect.Method resolveFunction(java.lang.String prefix,
                                                    java.lang.String localName)

  Resolves the specified local name and prefix into a Java.lang.Method. Returns null if the prefix and local name are not found.

  Parameters:
    `prefix` - the prefix of the function, or "" if no prefix.
    `localName` - the short name of the function
  Returns:
    the result of the method mapping. Null means no entry found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.